#include <iostream>
#include <string>
#include <set>

// do mnoziny se vkladaji slova a testuje se, zda dane slovo jiz v mnozine je
// program vyhleda v mnozine pozadovane slovo 

using namespace std;

int main (void)
{
	set<string> slova;
	string slovo;
	cout<<"Zadej slova (za poslednim slovem (enterem) vloz nulu)"<<endl;
	while (1)
	{
		cin>>slovo;
		if (slovo=="0") break;
		if (!slova.insert(slovo).second) //jestli se nepodarilo vlozit, pak jiz mnozina slovo obsahuje
		// insert vraci par - iterator, kam byl prvek vlozen a T/F, zda se vlozeni podarilo - pokud by bylo slovo vkladano podruhe, nebylo by vlozeno
		{
			cout<<"Toto slovo jiz mnozina obsahuje!"<<endl;
		}
	}
	cout<<endl;
	cout<<"Zadana slova : "<<endl;
	for (const auto & x : slova)	
	{
		cout<<x<<endl;
	}
	cout<<"Zadej hledane slovo : ";
	cin>>slovo;
	if (slova.find(slovo)==slova.end()) cout<<"Hledane slovo nenalezeno!"<<endl; 
	else cout<<"Hledane slovo nalezeno!"<<endl;
	return 0;
}

