#include <iostream>
#include <string>
#include <map>
#include <vector>
#include <algorithm>	//pouziti preddefinovaneho algoritmu - zde pouzijeme sort

// program spocitá, kolikrát bylo kazde slovo zadano, nakonec je vyhledavani slova

using namespace std;

int main (void)
{
	map<string, int> slova;
	string slovo;
	cout<<"Zadej slova (oddelena enterem, za poslednim slovem (enterem) vloz nulu)"<<endl;
	while (1)
	{
		cin>>slovo;
		if (slovo=="0") break;
		if (!slova.insert(make_pair(slovo,1)).second) //jestli se nepodarilo vlozit, pak mapa jiz slovo obsahuje, second je true nebo false
		// insert vraci par - iterator, kam byl prvek vlozen a true/false, jestli se vlozeni podarilo
		// zalozi par slovo, 1, ten se vlozi do mapy a dotazujem se, jestli se vlozeni podarilo - second je druha polozka v paru, kterou vraci insert
		{
			slova[slovo]++; // pristupujeme k hodnote, ktera ma klic slovo, hodnota je integer, ++ je inkrementace = pocet vyskytu slova na vstupu (v mape je jen jednou, ale na vstupu bylo x-krat)
		}
	}
	cout<<endl;
	cout<<"Zadana slova : "<<endl;
	vector<pair<string,int>>naseslova;
	for (const auto & x : slova)	// vypis bez iteratotu, podle reference
	{
		cout<<x.first<<" - "<<x.second<<endl; //slovo - kolikrat bylo na vstupu
		naseslova.push_back(make_pair(x.first,x.second));
	}
	sort(naseslova.begin(),naseslova.end(),[] (const pair<string,int> &a,const pair<string,int> &b){return a.second>b.second;});
	//sort je preddefinovana funkce, parametry: iterator na zacatek a za konec, co ma radit a porovnavaci funkce: [] (const pair<string,int> &a,const pair<string,int> &b){return a.second>b.second;}
	//[]-jde o lambda funkci, v kulatych zavorkach jsou jeji parametry - dva porovnavane pary, ve slozenych zavorkach je jeji kod - vraci T/F
	cout<<endl;
	cout<<"Zadana slova podle cetnosti: "<<endl;
	for (const auto & x : naseslova)	// vypis bez iteratotu, podle reference
	{
		cout<<x.first<<" - "<<x.second<<endl; //slovo - kolikrat bylo na vstupu
	}
	cout<<endl;
	cout<<"Zadej hledane slovo : ";
	cin>>slovo; //pokud neni slovo v mape, vrati se iterator za posledni prvek mapy
	auto iterator=slova.find(slovo);
	if (iterator==slova.end()) cout<<"Slovo nebylo zadano!"<<endl; 
	else cout<<"Hledane slovo "<<slovo<<" bylo zadano "<<iterator->second<<endl; //(*iterator).second
	return 0;
}

